Loading...
Searching...
No Matches
Opm::Mesitylene< Scalar > Class Template Reference

Component for Mesitylene. More...

`#include <Mesitylene.hpp>`

Inheritance diagram for Opm::Mesitylene< Scalar >:

## Static Public Member Functions

static std::string_view | name ()
| A human readable name for the mesitylene.
static Scalar | molarMass ()
| The molar mass in of mesitylene.
static Scalar | criticalTemperature ()
| Returns the critical temperature of mesitylene.
static Scalar | criticalPressure ()
| Returns the critical pressure of mesitylene.
static Scalar | boilingTemperature ()
| Returns the temperature at mesitylene's boiling point (1 atm).
static Scalar | tripleTemperature ()
| Returns the temperature at mesitylene's triple point.
static Scalar | triplePressure ()
| Returns the pressure at mesitylene's triple point.
template<class Evaluation>
static Evaluation | vaporPressure (const Evaluation &temperature)
| The saturation vapor pressure in of pure mesitylene at a given temperature according to Antoine after Betz 1997, see Gmehling et al 1980.
template<class Evaluation>
static Evaluation | liquidEnthalpy (const Evaluation &temperature, const Evaluation &pressure)
| Specific enthalpy of liquid mesitylene .
template<class Evaluation>
static Evaluation | heatVap (const Evaluation &temperature, const Evaluation &)
| Latent heat of vaporization for mesitylene .
template<class Evaluation>
static Evaluation | gasEnthalpy (const Evaluation &temperature, const Evaluation &pressure)
| Specific enthalpy of mesitylene vapor .
template<class Evaluation>
static Evaluation | gasDensity (const Evaluation &temperature, const Evaluation &pressure)
| The density of pure mesitylene vapor at a given pressure and temperature .
template<class Evaluation>
static Evaluation | liquidDensity (const Evaluation &temperature, const Evaluation &)
| The density of pure mesitylene at a given pressure and temperature .
static bool | gasIsCompressible ()
| Returns true iff the gas phase is assumed to be compressible.
static bool | gasIsIdeal ()
| Returns true iff the gas phase is assumed to be ideal.
static bool | liquidIsCompressible ()
| Returns true iff the liquid phase is assumed to be compressible.
template<class Evaluation>
static Evaluation | gasViscosity (Evaluation temperature, const Evaluation &, bool=true)
| The dynamic viscosity of mesitylene vapor.
template<class Evaluation>
static Evaluation | liquidViscosity (Evaluation temperature, const Evaluation &)
| The dynamic viscosity of pure mesitylene.
template<class Evaluation>
static Evaluation | liquidHeatCapacity (const Evaluation &temperature, const Evaluation &)
| Specific heat cap of liquid mesitylene .
Static Public Member Functions inherited from Opm::Component< Scalar, Mesitylene< Scalar > >
static void | init (Scalar, Scalar, unsigned, Scalar, Scalar, unsigned)
| A default routine for initialization, not needed for components and must not be called.
static bool | gasIsCompressible ()
| Returns true iff the gas phase is assumed to be compressible.
static bool | gasIsIdeal ()
| Returns true iff the gas phase is assumed to be ideal.
static bool | liquidIsCompressible ()
| Returns true iff the liquid phase is assumed to be compressible.
static std::string_view | name ()
| A human readable name for the component.
static Scalar | molarMass ()
| The molar mass in of the component.
static Scalar | criticalTemperature ()
| Returns the critical temperature in of the component.
static Scalar | criticalPressure ()
| Returns the critical pressure in of the component.
static Scalar | acentricFactor ()
| Returns the acentric factor of the component.
static Scalar | criticalVolume ()
| Returns the critical volume in of the component.
static Scalar | tripleTemperature ()
| Returns the temperature in at the component's triple point.
static Scalar | triplePressure ()
| Returns the pressure in at the component's triple point.
static Evaluation | vaporPressure (const Evaluation &)
| The vapor pressure in of the component at a given temperature in .
static Evaluation | gasDensity (const Evaluation &, const Evaluation &)
| The density in of the component at a given pressure in and temperature in .
static Evaluation | liquidDensity (const Evaluation &, const Evaluation &)
| The density of the liquid component at a given pressure in and temperature in .
static Evaluation | gasEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in gas.
static Evaluation | liquidEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in liquid.
static Evaluation | gasInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of the pure component in gas.
static Evaluation | liquidInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of pure the pure component in liquid.
static Evaluation | gasViscosity (const Evaluation &, const Evaluation &)
| The dynamic viscosity of the pure component at a given pressure in and temperature in .
static Evaluation | liquidViscosity (const Evaluation &, const Evaluation &)
| The dynamic liquid viscosity of the pure component.
static Evaluation | gasThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a gas.
static Evaluation | liquidThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a liquid.
static Evaluation | gasHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a gas.
static Evaluation | liquidHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a liquid.

## Static Protected Member Functions

template<class Evaluation>
static Evaluation | molarLiquidDensity_ (Evaluation temperature)
| The molar density of pure mesitylene at a given pressure and temperature .

## Additional Inherited Members

Public Types inherited from Opm::Component< Scalar, Mesitylene< Scalar > >
typedef Scalar | Scalar
Static Public Attributes inherited from Opm::Component< Scalar, Mesitylene< Scalar > >
static constexpr bool | isTabulated

## Detailed Description

template<class Scalar>
class Opm::Mesitylene< Scalar >

Component for Mesitylene.

Template Parameters

  Scalar | The type used for scalar values

## Member Function Documentation

## gasDensity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Mesitylene< Scalar >::gasDensity | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The density of pure mesitylene vapor at a given pressure and temperature .

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## gasEnthalpy()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Mesitylene< Scalar >::gasEnthalpy | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

Specific enthalpy of mesitylene vapor .

This relation is true on the vapor pressure curve, i.e. as long as there is a liquid phase present.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## gasViscosity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Mesitylene< Scalar >::gasViscosity | ( | Evaluation | temperature,
|  | const Evaluation & | ,
|  | bool | = true )

inline static

The dynamic viscosity of mesitylene vapor.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in
  regularize | defines, if the functions is regularized or not, set to true by default

## heatVap()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Mesitylene< Scalar >::heatVap | ( | const Evaluation & | temperature,
|  | const Evaluation & | )

inline static

Latent heat of vaporization for mesitylene .

source : Reid et al. (fourth edition): Chen method (chap. 7-11, Delta H_v = Delta H_v (T) according to chap. 7-12)

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidDensity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Mesitylene< Scalar >::liquidDensity | ( | const Evaluation & | temperature,
|  | const Evaluation & | )

inline static

The density of pure mesitylene at a given pressure and temperature .

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidEnthalpy()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Mesitylene< Scalar >::liquidEnthalpy | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

Specific enthalpy of liquid mesitylene .

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidHeatCapacity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Mesitylene< Scalar >::liquidHeatCapacity | ( | const Evaluation & | temperature,
|  | const Evaluation & | )

inline static

Specific heat cap of liquid mesitylene .

source : Reid et al. (fourth edition): Missenard group contrib. method (chap 5-7, Table 5-11, s. example 5-8)

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## liquidViscosity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Mesitylene< Scalar >::liquidViscosity | ( | Evaluation | temperature,
|  | const Evaluation & | )

inline static

The dynamic viscosity of pure mesitylene.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## molarLiquidDensity_()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Mesitylene< Scalar >::molarLiquidDensity_ | ( | Evaluation | temperature | ) |

inline static protected

The molar density of pure mesitylene at a given pressure and temperature .

source : Reid et al. (fourth edition): Modified Racket technique (chap. 3-11, eq. 3-11.9)

Parameters

  temperature | temperature of component in

## vaporPressure()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Mesitylene< Scalar >::vaporPressure | ( | const Evaluation & | temperature | ) |

inline static

The saturation vapor pressure in of pure mesitylene at a given temperature according to Antoine after Betz 1997, see Gmehling et al 1980.

Parameters

  temperature | temperature of component in

The documentation for this class was generated from the following file:

- opm/material/components/Mesitylene.hpp